Name: lslk
Version: 1.29
Release: alt2.1

Summary: A lock file lister
License: GPL Style
Group: Monitoring
Url: ftp://vic.cc.purdue.edu/pub/tools/unix/%name

BuildPreReq: kernel-headers-std

Source: %url/%{name}_%{version}_W.tar.bz2
Patch: lslk_1.29_W-rh-misc.patch
Patch1: lslk-1.29_W-alt-build.patch

%description
Lslk is a lock file lister. Lslk attempts to list all of the locks on
the executing system's local files (i.e., on the active inodes).

Install %name if you need a utility for listing file locks.

%prep
%setup -qc -n %name
tar xf %{name}_%version.tar
cd %{name}_%version
%patch1 -p0

%build
cd %{name}_%version
./Configure -n linux
make DEBUG="$RPM_OPT_FLAGS" CFGF=-DLINUXV=228

%install
cd %{name}_%version
install -p -m711 -D %name $RPM_BUILD_ROOT%_sbindir/%name
install -p -m644 -D %name.8 $RPM_BUILD_ROOT%_mandir/man8/%name.8

%files
# XXX should be mode 4755, but for now leave the setuid off
%attr(0711,root,kmem) %_sbindir/%name
%_mandir/man?/*
%doc %{name}_%version/README

%changelog
* Tue Oct 07 2003 Stanislav Ievlev <inger@altlinux.ru> 1.29-alt2.1
- fix building in hasher

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 1.29-alt2
- rebuild with gcc3.
- added patch from RH

* Tue Jul 31 2001 Stanislav Ievlev <inger@altlinux.ru> 1.29-alt1
- 1.29

* Thu Jan 18 2001 Dmitry V. Levin <ldv@fandra.org> 1.27-ipl2mdk
- RE adaptions.

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.27-2mdk
- add URL

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.27-1mdk
- updated to 1.27
- build for gcc-2.96

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.25-3mdk
- BM

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.25-2mdk
- spechelper fixes
- group fix

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- 1.25
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- remove setgid kmem "just in case".

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.19.

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- create.
- leave the setuid root off.
